Bug 108111 - Civilization VI Artifacts RX480
Summary: Civilization VI Artifacts RX480
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/Gallium/radeonsi (show other bugs)
Version: 18.2
Hardware: Other Linux (All)
: medium normal
Assignee: Default DRI bug account
QA Contact: Default DRI bug account
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-10-01 18:08 UTC by ondrej.masek
Modified: 2018-10-18 23:20 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
Loading Screen Background Artifact (678.65 KB, image/jpeg)
2018-10-01 18:08 UTC, ondrej.masek
Details
In-game buttons artifacts (439.28 KB, image/jpeg)
2018-10-01 18:09 UTC, ondrej.masek
Details
In-game other example of bad texture (2.80 MB, image/png)
2018-10-02 21:03 UTC, Hadrien Nilsson
Details

Note You need to log in before you can comment on or make changes to this bug.
Description ondrej.masek 2018-10-01 18:08:08 UTC
Created attachment 141824 [details]
Loading Screen Background Artifact

Civilization VI has got menu and in-game artifacts on AMD Radeon RX480.
Manifests on multiple systems:
Ubuntu 18.04 + Padoka Stable (MESA 18.2.1)
Ubuntu 18.04 + Padoka  (MESA 18.3)
Ubuntu 18.10 (MESA 18.2.1)

Screenshots attached.
Comment 1 ondrej.masek 2018-10-01 18:09:18 UTC
Created attachment 141825 [details]
In-game buttons artifacts
Comment 2 Hadrien Nilsson 2018-10-02 21:03:43 UTC
Created attachment 141839 [details]
In-game other example of bad texture
Comment 3 MWATTT 2018-10-03 02:45:30 UTC
I can confirm this issue on my RX 570.

It's happens with mesa compiled with LLVM 7, but not with LLVM 6.
Comment 5 Hadrien Nilsson 2018-10-13 21:40:13 UTC
(In reply to Gregor Münch from comment #4)
> Fixed by
> https://cgit.freedesktop.org/mesa/mesa/commit/
> ?id=0e6cdfd561c63d23e8ff32df4cab2370dc2a53d2 ?

Maybe. I saw this commit is included in Mesa 18.2.2 (I still have 18.2.1 from padoka ppa). Hopefully we'll get an update soon.

Meanwhile I tried to build my own Mesa version (usin meson) but I'm stuck with big "so" files like "libmesa_dri_drivers.so" "libgallium_dri.so"; I expected to get something like "radeonsi_dri.so" ready to be copied on my system and I can't find a lot of documentation on the topic.
Comment 6 Hadrien Nilsson 2018-10-13 21:45:47 UTC
It happens Mesa 18.2.2 from padoka are available :) I did the upgrade, and the bug is gone.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.